Subject: Re: Last Call: Correct classification of RFC 20 (ASCII format) to Internet Standard

From: Brian E Carpenter <[email-masked]>
Date: Tue, 09 Dec 2014 08:44:10 +1300

On 09/12/2014 08:00, The IESG wrote:
> The IESG has received a request from an individual participant to make
> the following status changes:
> 
> - RFC20 from Unknown to Internet Standard
>     (ASCII format for network interchange)

I support this action.

   Brian

---

From: Tony Hansen <[email-masked]>
Date: Mon, 08 Dec 2014 14:50:29 -0500

On 12/8/14, 2:00 PM, The IESG wrote:
> - RFC20 from Unknown to Internet Standard (ASCII format for network interchange)
>
> The supporting document for this request can be found here:
>
> http://datatracker.ietf.org/doc/status-change-rfc20-ascii-format-to-standard/

+1

     Tony Hansen

---

From: Hector Santos <[email-masked]>
Date: Mon, 08 Dec 2014 14:59:17 -0500

+1

-- 
HLS

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 8 Dec 2014 15:14:43 -0500

I also support this action.

I know that online RFCs are supposed to be "immutable", but as this one was
most likely transcribed from paper, I would also suggest that the errata be
applied to the official online version.

Thanks,
Andy

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 8 Dec 2014 21:24:07 +0100

>    (ASCII format for network interchange)

I have read this RFC and an uncountable of documents based on the work reported there.
I believe it has aged very well and (despite a few typos in the reconstituted version*) deserves to be formally recognized as the Internet Standard that it actually is.

Grüße, Carsten

*) Reissuing it under a new number to fix those doesn’t sound right.

---

From: Måns Nilsson <[email-masked]>
Date: Mon, 8 Dec 2014 22:28:28 +0100

> >- RFC20 from Unknown to Internet Standard (ASCII format for network interchange)

Me and RFC 20 were born the same autumn. I support this status change. 

-- 
Måns Nilsson     primary/secondary/besserwisser/machina
MN-1334-RIPE                             +46 705 989668
Maybe we could paint GOLDIE HAWN a rich PRUSSIAN BLUE --

---

From: Eric Burger <[email-masked]>
Date: Mon, 8 Dec 2014 17:14:00 -0500

RFC 6410 states the criteria are:

   (1) There are at least two independent interoperating implementations
       with widespread deployment and successful operational experience.

Must be millions. Any takers?

   (2) There are no errata against the specification that would cause a
       new implementation to fail to interoperate with deployed ones.

Spelling Vint’s name does not raise to the level ;-)

   (3) There are no unused features in the specification that greatly
       increase implementation complexity.

In all seriousness, does ANYBODY use the control characters any more for what this specification says? ACK is *not* move forward one character (^F).

   (4) If the technology required to implement the specification
       requires patented or otherwise controlled technology, then the
       set of implementations must demonstrate at least two independent,
       separate and successful uses of the licensing process.

45 years after publication, I do not think this is an issue.

ASCII is like aspirin. Aspirin today would never be approved as a drug as it is too dangerous, Likewise, RFC 20 would never get published today. No Security Considerations, no Privacy Considerations, no Optional Characters, no IPR, and most certainly no Internationalization. I would say Publish, if only to show that after 45 years, we CAN move something to Internet Standard.

ON THE OHTER HAND, here is a semi-serious question: how stupid are we going to look in the popular press when some science writer catches wind that 45 years after publication and 30 years after it is effectively obsolete (I’m back on the control codes), the IETF publishes 7-bit ASCII? Ouch.

> On Dec 8, 2014, at 2:50 PM, Tony Hansen <[email-masked]> wrote:
>

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 8 Dec 2014 23:25:54 +0100

On 08 Dec 2014, at 23:14, Eric Burger <[email-masked]> wrote:
> 
> the IETF publishes 7-bit ASCII

Of course, any sensationalist could twist it that way, but the act of *publishing* it was a while ago (once, 1969, and once again 1999).  This is just about *recognizing* a document that has turned out to be surprisingly more useful in the last 15 years than it must have seemed when it was republished just for historical completeness in 1999.  (And given that the date on it is still 1969, it is clear that this doesn’t retroactively supersede BCP 18 (RFC 2277) or RFC 5198).

Grüße, Carsten